Bug 18290 - User path missing /sbin and /usr/sbin
User path missing /sbin and /usr/sbin
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-10-04 00:34 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-04 09:24:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-04 00:34:39 EDT
When using kdm, user path does not include /sbin, and /usr/sbin any more. 
Instead it shows /bin twice at  the start of the path.  This occured after
upgrade to RH 7.0 from 6.2, where all was fine.

Here is the path shown:

Comment 1 Need Real Name 2000-10-04 01:04:35 EDT
Oooopps Sorry, 

... it does NOT have /bin twice at the beginning ... but "~/bin" and "/bin"!

but still no /sbin  and /usr/sbin.
Comment 2 Bernhard Rosenkraenzer 2000-10-04 04:49:32 EDT
This is not a bug - the user path is not supposed to include */sbin. It's
supposed to be in root's path only (try it on the console and you'll get the
exact same behavior).
If you don't like it, modify the startup scripts /usr/bin/startkde and/or
Comment 3 Need Real Name 2000-10-04 09:24:54 EDT
Hi again,

Unfortunately the suggested solution does not work.

There is no /sbin in root's path neither.  In fact the path shown above is
root's! :


In fact, now that I think about it, should it not be :

root/bin:/bin .... instead of ~/bin:/bin ...????

(using echo $PATH)


If I start in runlevel 3 and start X manually with startx, the path is


But  if I start in runlevel 5 into X and login in X, the path is (exactly as

Comment 4 Bernhard Rosenkraenzer 2000-11-16 07:26:11 EST
Fixed in 2.0-3
Comment 5 Wojciech Kazubski 2001-01-02 05:24:00 EST
I also noticed this problem!
The PATH is OK when the root is logged on text console (by <Ctrl><Alt><F2> or
The /sbin and /usr/sbin directories (and even /usr/local/sbin) are added to the
PATH by script in /root/.bash_profile but it seems that it is never invoked.
The above directories could be added in .bashrc but as new value since this
script is invoked everytime shell starts.

Note You need to log in before you can comment on or make changes to this bug.